Unable to build with facebook sdk on Cordova 3.6.4

3 posts, 0 answers
  1. Nima
    Nima avatar
    3 posts
    Member since:
    Feb 2014

    Posted 27 Jan 2015 Link to this post

    I know 3.6.4 is experimental, but when building an app with the facebook sdk, facebook is unable to find the android sdk.

    The build fails with this error:
    com.phonegap.plugins.facebookconnect/FacebookLib/build.xml:46: sdk.dir is missing. Make sure to generate local.properties using 'android update project' or to inject it through an env var

    It works with no issues on v3.5.1

  2. Anton Dobrev
    Admin
    Anton Dobrev avatar
    539 posts

    Posted 30 Jan 2015 Link to this post

    Hello Nima,

    Thank you for posting to the Telerik Developer Forums and for reporting this.

    Indeed, I managed to reproduce the issue with the AppBuilder-compatible version of the plugin available in the forums. It is probably correlated to the build phase against the experimental version of Cordova available in AppBuilder. We will need some time to investigate the issue on our side. However, we cannot commit to a particular time-frame for the resolution.

    I will update this thread when there is some progress on the matter.

    Please, let me know if you have further questions.

    Regards,
    Anton Dobrev
    Telerik
     

    Visit the Telerik Verified Plugins Marketplace and get the custom Cordova plugin you need, already tweaked to work seamlessly with AppBuilder.

     
  3. Anton Dobrev
    Admin
    Anton Dobrev avatar
    539 posts

    Posted 06 Feb 2015 Link to this post

    Hi,

    Using the AppBuilder compatible version of the plugin you can now build it with AppBuilder against Cordova 3.6.4 without experiencing this error.

    Let me know if you have questions.

    Regards,
    Anton Dobrev
    Telerik
     

    Visit the Telerik Verified Plugins Marketplace and get the custom Cordova plugin you need, already tweaked to work seamlessly with AppBuilder.

     
Back to Top